//       >>>>>  T-I-N-Y  S-Q-U-E-S-T for ATTINY85  GPL v3 <<<<<
//                    Programmer: Daniel C 2023
//             Contact EMAIL: electro_l.i.b@tinyjoypad.com
//  https://github.com/phoenixbozo/TinyJoypad/tree/main/TinyJoypad
//                    https://WWW.TINYJOYPAD.COM
//          https://sites.google.com/view/arduino-collection

//  tiny-Squest is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

//for TINY JOYPAD rev2 (attiny85)
//the code work at 16MHZ internal
//Program the chip with an arduino uno in "Arduino as ISP" mode.

#define FADEIN 0
#define FADEOUT 1
#include <avr/pgmspace.h>



const int8_t  POSITION_TSQUEST [] PROGMEM= {
-8,-20,-32,
-128,-116,-104,
};

const uint8_t  RND3_TSQUEST [] PROGMEM= {
3,2,2,1,3,1,2,1,3,3,2,1,1,2,3
};

const uint8_t  RND2_TSQUEST [] PROGMEM= {
0,1,0,1,1,0,1,0,0,0,1
};

const uint8_t  Line_TSQUEST [] PROGMEM= {17,30,43};

const int8_t SIN_TSQUEST [] PROGMEM= {0,0, 1,1, 1,1, 0,0, -1,-1, -1,-1};

const uint8_t  Music [] PROGMEM= {
54,
102,255,0,255,90,255,0,255,80,255,0,255,72,50,62,50,72,50,
62,50,72,50,62,50,72,50,62,50,72,50,62,50,72,50,62,50,
72,50,62,50,72,50,62,50,72,50,62,50,72,50,62,50,72,50,
};

const uint8_t  police_TSQUEST [] PROGMEM= {
4,1,
0x3E,0x22,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3A,0x2A,0x2E,0x00,0x22,0x2A,0x3E,0x00,0x0E,0x08,0x3E,0x00,
0x2E,0x2A,0x3A,0x00,0x3E,0x2A,0x3A,0x00,0x02,0x3A,0x06,0x00,0x3E,0x2A,0x3E,0x00,0x2E,0x2A,0x3E,0x00,};

const uint8_t  BACKGROUND_TSQUEST [] PROGMEM= {
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,
0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,
0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,0x02,0x12,
0x02,0x12,0x02,0x12,0x02,0x12,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0xC0,0xA0,0xC0,0xA0,0xC0,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0xC0,0xA0,
0xC0,0xA0,0xC0,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0xC0,0xA0,0xC0,0xA0,0xC0,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0xC0,0xA0,0xC0,0xA0,0xC0,0xA0,0x40,0xA0,0x40,0xA0,
0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0xC0,0xA0,0xC0,0xA0,0xC0,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0xC0,0xA0,0xC0,0xA0,0xC0,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0x40,0xA0,0xFD,0xFE,0xFD,0xFE,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0xFE,0xFD,0xFE,0xFD,0xFE,0xFF,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x87,0xB7,0x87,0xFE,0xB7,0xCE,0xB7,0xFE,0xE7,0x9E,0xE7,0xFF,0x87,0xB7,0x97,0xFF,0x87,0xA7,
0xB7,0xFF,0x87,0xEF,0xDF,0x86,0xFF,0x86,0xB5,0xB6,0xB5,0xB6,0xB7,0xB6,0xB7,0xB7,0xB7,0xB7,0xB7,0xB7,0xB7,0xB7,0xB7,0xB7,0xB7,0xB7,0xB7,0xB6,0xB7,0xB6,0xB7,0xB6,0xB7,0xB6,0xB7,0xB7,0x87,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0xFE,
0xFD,0xFE,0xFD,0xFE,0xFF,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0xFE,0xFF,0xFE,};

const uint8_t  T_SUBMAIN_TSQUEST [] PROGMEM= {
17,1,
0x18,0x28,0x28,0x3F,0x3F,0x3E,0x3E,0x38,0x38,0x38,0x38,0x38,0x38,0x30,0x30,0x68,0x68,
0x18,0x28,0x28,0x3F,0x3F,0x3E,0x3E,0x38,0x38,0x38,0x38,0x38,0x38,0x30,0x30,0x58,0x58,
0x18,0x28,0x28,0x3F,0x3F,0x3E,0x3E,0x38,0x38,0x38,0x38,0x38,0x38,0x30,0x30,0x30,0x30,

0x68,0x68,0x30,0x30,0x38,0x38,0x38,0x38,0x38,0x38,0x3E,0x3E,0x3F,0x3F,0x28,0x28,0x18,
0x58,0x58,0x30,0x30,0x38,0x38,0x38,0x38,0x38,0x38,0x3E,0x3E,0x3F,0x3F,0x28,0x28,0x18,
0x30,0x30,0x30,0x30,0x38,0x38,0x38,0x38,0x38,0x38,0x3E,0x3E,0x3F,0x3F,0x28,0x28,0x18,
};

const uint8_t  BLINK_MAINSUB_TSQUEST [] PROGMEM= {
17,1,

0x18,0x28,0x28,0x3F,0x3F,0x3E,0x3E,0x38,0x38,0x38,0x38,0x38,0x38,0x30,0x30,0x68,0x68,
0x18,0x28,0x28,0x3F,0x3F,0x3E,0x3E,0x38,0x38,0x38,0x38,0x38,0x38,0x30,0x30,0x68,0x68,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

0x68,0x68,0x30,0x30,0x38,0x38,0x38,0x38,0x38,0x38,0x3E,0x3E,0x3F,0x3F,0x28,0x28,0x18,
0x68,0x68,0x30,0x30,0x38,0x38,0x38,0x38,0x38,0x38,0x3E,0x3E,0x3F,0x3F,0x28,0x28,0x18,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

};

const uint8_t  DESTROYED_MAINSUB_TSQUEST [] PROGMEM= {
17,1,

0x00,0x00,0x00,0x00,0x00,0x08,0x08,0x14,0x14,0x14,0x08,0x08,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x22,0x22,0x08,0x08,0x00,0x14,0x00,0x08,0x08,0x22,0x22,0x00,0x00,0x00,
0x82,0x82,0x82,0x92,0x10,0x10,0x00,0x44,0x44,0x44,0x00,0x10,0x10,0x92,0x82,0x82,0x82,

0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x28,0x28,0x28,0x10,0x10,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x22,0x22,0x08,0x08,0x00,0x14,0x00,0x08,0x08,0x22,0x22,0x00,0x00,0x00,
0x82,0x82,0x82,0x92,0x10,0x10,0x00,0x44,0x44,0x44,0x00,0x10,0x10,0x92,0x82,0x82,0x82,
};

const uint8_t  SUB2_TSQUEST [] PROGMEM= {
8,1,

0x0C,0x14,0x1F,0x1E,0x1C,0x1C,0x18,0x34,0x0C,0x14,0x1F,0x1E,0x1C,0x1C,0x18,0x2C,0x0C,0x14,0x1F,0x1E,
0x1C,0x1C,0x18,0x18,0x34,0x18,0x1C,0x1C,0x1E,0x1F,0x14,0x0C,0x2C,0x18,0x1C,0x1C,0x1E,0x1F,0x14,0x0C,
0x18,0x18,0x1C,0x1C,0x1E,0x1F,0x14,0x0C,
};

const uint8_t  BALLISTIC_TSQUEST [] PROGMEM= {
3,1,
0b00000001,0b00000001,0b00000001,
};

const uint8_t  BALLISTIC2_TSQUEST [] PROGMEM= {
3,1,
0b00000100,0b00000101,0b00000001,
};

const uint8_t  FISH_TSQUEST [] PROGMEM= {
8,1,
0x04,0x0A,0x06,0x0F,0x0E,0x04,0x0A,0x11,
0x04,0x0A,0x06,0x0F,0x0E,0x04,0x0A,0x12,
0x04,0x0A,0x0E,0x0F,0x06,0x04,0x0A,0x09,
0x11,0x0A,0x04,0x0E,0x0F,0x06,0x0A,0x04,
0x12,0x0A,0x04,0x0E,0x0F,0x06,0x0A,0x04,
0x09,0x0A,0x04,0x06,0x0F,0x0E,0x0A,0x04,
};

const uint8_t  PLONGEUR_TSQUEST [] PROGMEM= {
8,1,
0x10,0x14,0x0A,0x18,0x12,0x20,0x20,0x41,0x10,0x14,0x08,0x1A,0x10,0x21,0x20,0x20,0x10,0x14,0x08,0x18,
0x32,0x50,0x11,0x01,0x41,0x20,0x20,0x12,0x18,0x0A,0x14,0x10,0x20,0x20,0x21,0x10,0x1A,0x08,0x14,0x10,
0x01,0x11,0x50,0x32,0x18,0x08,0x14,0x10,
};

const uint8_t  Display_DIVER_TSQUEST [] PROGMEM= {
0xFF,0xFF,0xFF,0xDF,0xDF,0x5F,0xBF,0xCF,0xEF,0xD7,0xDF
};

const uint8_t  LIVE_TSQUEST [] PROGMEM= {
0xFF,0x83,0xC7,0xC7,0xC3,0xC1,0xC1,0xC7,0xE7,
};

const uint8_t  INTRO_TSQUEST [] PROGMEM= {
80,2,
0x0F,0x03,0x01,0x01,0xFF,0xFF,0x01,0x01,0x0F,0x00,0x10,0xF3,0xF3,0x00,0x00,0x30,0xF0,0xE0,0x30,0x30,
0xF0,0xE0,0x00,0x10,0x70,0xF0,0xD0,0x00,0xD0,0x30,0x10,0xC0,0xC0,0xC0,0x00,0xC0,0x9E,0x39,0x39,0x31,
0x73,0xF7,0xE4,0x00,0xC0,0xE0,0x30,0x10,0x10,0xE0,0xF0,0x00,0x10,0xF0,0xF0,0x00,0x00,0x90,0xF0,0xF0,
0x00,0xC0,0xE0,0x70,0x50,0x50,0x70,0x60,0x00,0x60,0x50,0xD0,0xD0,0x90,0x00,0x10,0xF8,0xFC,0x10,0x10,
0x00,0x00,0x02,0x03,0x03,0x03,0x02,0x00,0x00,0x00,0x02,0x03,0x03,0x02,0x00,0x02,0x03,0x03,0x00,0x02,
0x03,0x03,0x02,0x18,0x18,0x11,0x0F,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x01,0x02,0x02,
0x02,0x01,0x00,0x00,0x00,0x01,0x03,0x02,0x01,0x0F,0x0F,0x08,0x00,0x01,0x03,0x03,0x02,0x01,0x03,0x03,
0x02,0x00,0x01,0x03,0x02,0x02,0x03,0x01,0x00,0x03,0x02,0x02,0x02,0x01,0x00,0x00,0x01,0x03,0x02,0x01,
};

const uint8_t  START_TSQUEST [] PROGMEM= {
52,2,
0xFE,0x01,0x01,0x91,0x29,0x49,0x91,0x01,0x09,0xF9,0x09,0x01,0xF1,0x29,0x29,0xF1,0x01,0xF9,0x29,0x29,
0xD1,0x01,0x09,0xF9,0x09,0x01,0x01,0x01,0x01,0xF1,0x09,0x49,0xD1,0x01,0xF1,0x29,0x29,0xF1,0x01,0xF9,
0x11,0x21,0x11,0xF9,0x01,0xF9,0x29,0x09,0x01,0x01,0x01,0xFE,0x07,0x08,0x08,0x08,0x09,0x09,0x08,0x08,
0x08,0x09,0x08,0x08,0x09,0x08,0x08,0x09,0x08,0x09,0x08,0x08,0x09,0x08,0x08,0x09,0x08,0x08,0x08,0x08,
0x08,0x08,0x09,0x09,0x09,0x08,0x09,0x08,0x08,0x09,0x08,0x09,0x08,0x08,0x08,0x09,0x08,0x09,0x09,0x09,
0x08,0x08,0x08,0x07,
};